Bug 144188 - CAN-2004-1139 Ethereal flaws (CAN-2004-1140 CAN-2004-1141 CAN-2004-1142)
CAN-2004-1139 Ethereal flaws (CAN-2004-1140 CAN-2004-1141 CAN-2004-1142)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ethereal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
:
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-04 17:35 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:49:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-04 17:35:46 EST
*** This bug has been split off bug 142952 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.12.15
05:13 -------

Gerald Combs said that Ethereal 0.10.8 is scheduled to be released tomorrow
(December 15).  It will address the following 

CAN-2004-1139 DICOM crash: Buffer overflows

  Matthew Bing discovered a bug in DICOM dissection that could make
  Ethereal crash.
  Versions affected: 0.10.4 - 0.10.7
  Revision fixed: 12504

CAN-2004-1140 RTP timestamp: fills hard disk due to int overflow

  An invalid RTP timestamp could make Ethereal hang and create a large
  temporary file, possibly filling available disk space.
  Versions affected: 0.9.16 - 0.10.7
  Revision fixed: 12656


CAN-2004-1141 HTTP dissector OOB read

  The HTTP dissector could access previously-freed memory, causing  a crash.
  Versions affected: 0.10.1 - 0.10.7
  Revision fixed: 12640 & 12668

CAN-2004-1142 SMB hang from infinite loop

  Brian Caswell discovered that an improperly formatted SMB packet
  could make Ethereal hang, maximizing CPU utilization.<br>
  Versions affected: 0.9.0 - 0.10.7
  Revision fixed: 12706

Embargoed until 20041215
Also affects RHEL2.1
Comment 2 Jay Turner 2005-01-14 07:41:43 EST
It's on the day-0 tracker bug, so need to get this sorted out.  Either way, I'm
throwing it into ASSIGNED, as I don't think "modified" is right.
Comment 3 Radek Vokal 2005-01-19 03:26:47 EST
Will propably come out later due to new security bug #145483 
Comment 4 Radek Vokal 2005-01-27 04:45:18 EST
Update fixing this issues will come out with ethereal-0.10.9
Comment 5 Mark J. Cox (Product Security) 2005-02-15 04:49:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-037.html

Note You need to log in before you can comment on or make changes to this bug.